import os
import sys
import re
import copy
import configparser
import urllib.request
from pathlib import Path

baseURL = '"https://zu9j1t6ekm.user-space.cdn.idcfcloud.net/asset_bundle_2019_2/webgl/'
mainPath = str(Path(__file__).parent)
urlFile = os.path.join(mainPath, "urls.txt")

def getHarFile():
	har_file = ''
	while(True):
		har_file = input('Enter HAR file, or "0" to exit\nSelect: ')
		if har_file == '0':
			os._exit(1)
		elif os.path.isfile(har_file):
			break
		else:
			print("File doesn't exist")

	return har_file

def getUrls(file):
	urls = []
	with open(file, errors = 'ignore') as f:
		line = f.readline()
		while line:
			if '"url": ' in line and baseURL in line and '"text"' not in line and '.ogg' not in line:
				urls.append(re.findall(r'"(.*?)"', line)[1])
			line = f.readline()

	return urls

if len(sys.argv) == 2:
	file = sys.argv[1]
else:
	file = getHarFile()

outFile = open(urlFile, "w", encoding="utf-8")
for url in getUrls(file):
	outFile.write(url + "\n")
outFile.close()
